---
title: Un modèle pagedjs pour la BUNIGE
date: 2023-04-21T11:19:03+02:00
id: 20230421111912
tags: [modèle, pagedjs, PDF, BUNIGE]
---

# [Un modèle *pagedjs* pour la BUNIGE][projet]

## Licence

Ce projet est sous [licence MIT][licence].

## Description

Ce projet est un modèle et une mise en forme pour produire un PDF suivant la
charte de la [Bibliothèque de l'Université de Genève][bunige].

Il a pour objectif d'être ajouté rapidement à un projet utilisant
[paged.js][pagedjs] pour générer des PDF à partir d'un contenu en markdown.

## Structure du répertoire

À la racine du répertoire se trouve les fichiers nécessaires au modèle :

- Le modèle lui-même : `template.html`.
- La feuille de style qui rend possible l'interface web pour la
  prévisualisation du document au format HTML : `interface.css` (fichier
  faisant partie du projet [paged.js][pagedjs]).
- Le fichier de style bibliographique qui fait partie à part entière du modèle,
  car il est la norme utilisée par la charte : `heg-iso-690.csl`.

Dans le dossier `example` se trouvent les sources pour pouvoir donner un
exemple :

- Le document markdown lui-même : `example.md`.
- Une liste de références bibliographiques au format BibLaTeX :
  `references.bib`.

## Pré-requis

- `pandoc`.
- `pagedjc-cli` (`npm install -g puppeteer pagedjs pagedjs-cli`).

## Génération du PDF d'exemple

Lancer les commandes depuis le répertoire `./example`.

Pour générer le fichier HTML a visualiser dans le navigateur :

```bash
pandoc --standalone --pdf-engine=pagedjs-cli \
       --template=../template.html --css=../style.css \
       --toc --toc-depth=2 --citeproc \
       --to=html --output=example.html example.md
```

Pour générer directement le PDF :

```bash
pandoc --standalone --citeproc \
       --to=pdf --pdf-engine=pagedjs-cli \
       --css=../style.css --toc --toc-depth=2 \
       --output=example.pdf example.md
```

[projet]: ./
[licence]: ./LICENSE
[bunige]: https://www.unige.ch/biblio/fr/ "Site officiel de la Bibliothèque de l'Université de Genève"
[pagedjs]: https://pagedjs.org/
